@use './scss/' as *;
@import './scss/imports.scss';

* {
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
}

html {
    display: block;

    width: 100vw;
    height: auto;
}

body,
#root {
    display: block;
    overflow-x: hidden;
    overflow-y: auto;

    width: 100vw;
    height: auto;
}

* {
    /* width */
    &::-webkit-scrollbar {
        width: 10px;
    }

    /* Track */
    &::-webkit-scrollbar-track {
        // box-shadow: inset 0 0 5px grey;
        border-radius: 5px;
    }

    /* Handle */
    &::-webkit-scrollbar-thumb {
        background-color: rgba(255, 255, 255, 0.5);
        border-radius: 5px;
    }

    /* Handle on hover */
    &::-webkit-scrollbar-thumb:hover {
        background-color: rgba(255, 255, 255, 0.8);
    }
}
